Bug 255622 - graphics/py-cartopy: Update dependency versions
Summary: graphics/py-cartopy: Update dependency versions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on: 256035
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-05 16:17 UTC by Thomas Guymer
Modified: 2021-05-27 19:50 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Guymer 2021-05-05 16:17:56 UTC
Cartopy lists its dependencies here:

https://github.com/SciTools/cartopy/blob/master/requirements/default.txt

As of version 0.19 they are:

numpy>=1.13.3
shapely>=1.5.6
pyshp>=2

Conversely, the dependencies for "graphics/py-cartopy" are:

numpy>=1.10,1
shapely>=1.5.6
pyshp>=1.1.4

This list is out-of-date and needs updating. Furthermore, the port "devel/py-pyshp" needs updating significantly (from 1.2.12 to >= 2) to allow Cartopy to be installed correctly.

I am raising this ticket here because I raised a ticket on Cartopy itself (over on GitHub) because a simple 4-line minimum working example is now not working on FreeBSD after updating to 0.19, see https://github.com/SciTools/cartopy/issues/1776 (it used to work every night via a cron job previously and works on MacOS).

Thanks

Tom
Comment 1 commit-hook freebsd_committer 2021-05-26 19:04:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2b2dfacf637923190e3422a5c02b6d271d57b722

commit 2b2dfacf637923190e3422a5c02b6d271d57b722
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-05-26 18:56:28 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-05-26 19:00:21 +0000

    graphics/py-cartopy: Update version requirement of RUN_DEPENDS

    PR:             255622
    Reported by:    Thomas Guymer <t.m.guymer@thomasguymer.co.uk>

 graphics/py-cartopy/Makefile | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-05-26 19:06:37 UTC
Committed. Thanks!
Comment 3 Thomas Guymer 2021-05-27 19:50:27 UTC
Thank you very much for fixing this